Bug 2254989 - CVE-2022-48541 ImageMagick: memory leak in identify -help [fedora-all]
Summary: CVE-2022-48541 ImageMagick: memory leak in identify -help [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: 39
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-48541
TreeView+ depends on / blocked
 
Reported: 2023-12-18 11:15 UTC by TEJ RATHI
Modified: 2024-01-24 01:33 UTC (History)
9 users (show)

Fixed In Version: ImageMagick-7.1.1.26-2.fc39 ImageMagick-7.1.1.26-2.fc38
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-01-23 00:58:20 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description TEJ RATHI 2023-12-18 11:15:09 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2254987

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 TEJ RATHI 2023-12-18 11:15:17 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2254987,2254989

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2024-01-15 15:32:01 UTC
FEDORA-2024-32ce2217e7 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2024-32ce2217e7

Comment 3 Fedora Update System 2024-01-15 15:32:24 UTC
FEDORA-2024-b695f01221 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2024-b695f01221

Comment 4 Fedora Update System 2024-01-16 01:07:00 UTC
FEDORA-2024-d23b0f5e76 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-d23b0f5e76`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-d23b0f5e76

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2024-01-16 01:19:22 UTC
FEDORA-2024-6f8c1d9005 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-6f8c1d9005`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-6f8c1d9005

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2024-01-23 00:58:20 UTC
FEDORA-2024-6f8c1d9005 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2024-01-24 01:33:04 UTC
FEDORA-2024-d23b0f5e76 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.